<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package lawlify
 */

get_header();

$blog_column = is_active_sidebar( 'blog-sidebar' ) ? 8 : 12;
$breadcrumb_image = get_theme_mod( 'breadcrumb_image', false );
$page_title = $wp_query->post->post_title;

?>


<section class="page-title">
<div class="page-title_pattern"></div>
<div class="page-title_gradient"></div>
<div class="auto-container">
   <h2><?php echo esc_html__('Blog Details', 'lawlify'); ?></h2>
   <ul class="bread-crumb clearfix">
      <li><a href="<?php echo get_home_url(); ?>"><i class="fa-solid fa-house fa-fw"></i> Home</a></li>
      <li><?php echo esc_html__('Blog Details', 'lawlify'); ?></li>
   </ul>
</div>
</section>


<div class="sidebar-page-container">
    	<div class="auto-container">
        	<div class="row clearfix">

			<div class="content-side col-lg-8 col-md-12 col-sm-12">
					<div class="blog-detail">
						<?php
							while ( have_posts() ):
							the_post();

							get_template_part( 'template-parts/content', get_post_format() );

	    					?>

							<?php
	    						if ( get_previous_post_link() AND get_next_post_link() ): ?>

								<div class="blog-details-border d-none">
									<div class="row align-items-center">
										<?php
	    									if ( get_previous_post_link() ): ?>
				                            <div class="col-lg-6 col-md-6">
				                                <div class="theme-navigation b-next-post text-left mb-30">
				                                    <span><?php print esc_html__( 'Prev Post', 'lawlify' );?></span>
		                                            <h4><?php print get_previous_post_link( '%link ', '%title' );?></h4>
				                                </div>
				                            </div>
										<?php
											endif;?>

									<?php
										if ( get_next_post_link() ): ?>
			                            <div class="col-lg-6 col-md-6">
			                                <div class="theme-navigation b-next-post text-left text-md-right  mb-30">
			                                    <span><?php print esc_html__( 'Next Post', 'lawlify' );?></span>
			                                    <h4><?php print get_next_post_link( '%link ', '%title' );?></h4>
			                                </div>
			                            </div>
									<?php
										endif;?>

								</div>
							</div>

							<?php
								endif;?>
							<?php

							

								// If comments are open or we have at least one comment, load up the comment template.
								if ( comments_open() || get_comments_number() ):
									comments_template();
								endif;

								endwhile; // End of the loop.
							?>
					
			</div>
			</div>
			<?php if ( is_active_sidebar( 'primary' ) ): ?>
                <div class="sidebar-side col-lg-4 col-md-12 col-sm-12">
                	<aside class="sidebar">
						<div class="sidebar-inner">
							<?php dynamic_sidebar('primary');?>
						</div>
					</aside>
				</div>
				<?php endif;?>
		</div>
	</div>
</section>
 
<?php
get_footer();
