<?php 

/**
 * Template part for displaying footer layout three
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package lawlify
*/


    $tecz_footer_logo = get_theme_mod( 'tecz_footer_logo' );
    $tecz_footer_top_space = function_exists('tpmeta_field') ? tpmeta_field('tecz_footer_top_space') : '0';
    $tecz_copyright_center = $tecz_footer_logo ? 'col-lg-4 offset-lg-4 col-md-6 text-right' : 'col-lg-12 text-center';
    //footer bg image & color
    $tecz_footer_bg_url_from_page = function_exists( 'tpmeta_image_field' ) ? tpmeta_image_field( 'tecz_footer_bg_image' ) : '';

    $tecz_footer_bg_color_from_page = function_exists( 'tpmeta_field' ) ? tpmeta_field( 'tecz_footer_bg_color' ) : '';

    $footer_bg_img = get_theme_mod( 'footer_bg_image' );
    $footer_bg_color = get_theme_mod( 'footer_bg_color' );
    
    $footer_copyright_switch = get_theme_mod( 'footer_copyright_switch', true );
    $footer_bottom_copyright_area_switch = get_theme_mod( 'footer_bottom_copyright_area_switch', true );

    // bg image
    $bg_img = !empty( $tecz_footer_bg_url_from_page['url'] ) ? $tecz_footer_bg_url_from_page['url'] : $footer_bg_img;

    // bg color
    $bg_color = !empty( $tecz_footer_bg_color_from_page ) ? $tecz_footer_bg_color_from_page : $footer_bg_color;
    // Email id 
   $header_top_email = get_theme_mod( 'header_email', __( 'tecz@support.com', 'lawlify' ) );

    
   $footer_bottom_menu = get_theme_mod( 'footer_bottom_menu', __( 'footer menu', 'lawlify' ) );



    // footer area links  switch
    $footer_area_links_switch = get_theme_mod( 'footer_area_links_switch', false );
    // footer area links 
    $footer_area_links = get_theme_mod( 'footer_area_links', __( '#', 'lawlify' ) );

    $tecz_footer_bottom_menu_switch = get_theme_mod( 'tecz_footer_bottom_menu_switch', false );
    $tecz_footer_col = $tecz_footer_bottom_menu_switch ? 'col-lg-6 col-md-7' : 'col-lg-12 col-md-12 text-center';
    // footer_columns
    $footer_columns = 0;
    $footer_widgets = get_theme_mod( 'footer_widget_number', 4 );

    for ( $num = 1; $num <= $footer_widgets + 1; $num++ ) {
        if ( is_active_sidebar( 'footer-' . $num ) ) {
            $footer_columns++;
        }
    }

    switch ( $footer_columns ) {
    case '1':
        $footer_class[1] = 'col-lg-12';
        break;
    case '2':
        $footer_class[1] = 'col-lg-6 col-md-6';
        $footer_class[2] = 'col-lg-6 col-md-6';
        break;
    case '3':
        $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
        $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
        $footer_class[3] = 'col-xl-4 col-lg-6';
        break;
    case '4':
        $footer_class[1] = 'col-lg-3 col-md-6 col-sm-12';
        $footer_class[2] = 'col-lg-3 col-md-6 col-sm-6';
        $footer_class[3] = 'col-lg-3 col-md-6 col-sm-6';
        $footer_class[4] = 'col-lg-3 col-md-6 col-sm-12';
        break;
        $footer_class = 'col-xl-3 col-lg-3 col-md-6';
        break;
    }
?>
<!-- footer-area-start -->
<footer>
    <div class="footer-area">
        <div class="tp-footer-top  theme-bg" data-bg-color="<?php echo esc_url( $bg_color ); ?>" data-background="<?php echo esc_url( $bg_img ); ?>">
        <?php if ( is_active_sidebar('footer-1') OR is_active_sidebar('footer-2') OR is_active_sidebar('footer-3') OR is_active_sidebar('footer-4') ): ?>
            <div class="tp-footer-wapper pt-115 pb-70">
                <div class="container">
                    <div class="row">
                        <?php
                            if ( $footer_columns < 4 ) {
                            print '<div class="col-lg-3 col-md-6 col-sm-12">';
                            dynamic_sidebar( 'footer-1' );
                            print '</div>';

                            print '<div class="col-lg-3 col-md-6 col-sm-6">';
                            dynamic_sidebar( 'footer-2' );
                            print '</div>';

                            print '<div class="col-lg-3 col-md-6 col-sm-6">';
                            dynamic_sidebar( 'footer-3' );
                            print '</div>';

                            print '<div class="col-lg-3 col-md-6 col-sm-12">';
                            dynamic_sidebar( 'footer-4' );
                            print '</div>';
                            } else {
                                for ( $num = 1; $num <= $footer_columns; $num++ ) {
                                    if ( !is_active_sidebar( 'footer-' . $num ) ) {
                                        continue;
                                    }
                                    print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                                    dynamic_sidebar( 'footer-' . $num );
                                    print '</div>';
                                }
                            }
                        ?>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <div class="tp-footer-bottom">
        <div class="container">
            <div class="row">
                <div class="<?php echo esc_attr($tecz_footer_col); ?>">
                    <div class="tp-footer-copyright">
                    <span><?php print tecz_copyright_text(); ?></span>
                    </div>
                </div>
                <?php  if ( !empty( $tecz_footer_bottom_menu_switch  ) ): ?>
                    <div class="col-lg-6 col-md-5">
                        <div class="tp-footer-terms">
                            <?php echo tecz_kses($footer_bottom_menu);'' ?>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        </div>

    </div>
    </div>
</footer>
<!-- footer-area-end -->
